import DataSheet from './DataSheet'
import DataSheetColumnTitle from './DataSheetColumnTitle'
import DataSheetBody from './DataSheetBody'
import DataSheetPaginationControl from './DataSheetPaginationControl'
import DataSheetFilters from './DataSheetFilters'
import DataSheetSearch from './DataSheetSearch'

export default {
  install: function (Vue, options) {
    Vue.component('data-sheet', DataSheet)
    Vue.component('data-sheet-column-title', DataSheetColumnTitle)
    Vue.component('data-sheet-body', DataSheetBody)
    Vue.component('data-sheet-pagination-control', DataSheetPaginationControl)
    Vue.component('data-sheet-filters', DataSheetFilters)
    Vue.component('data-sheet-search', DataSheetSearch)
  }
}
